<!DOCTYPE html>
<html lang="en" ng-app="lt17Panitia">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="Pembukaan Penawaran">
	<title>Pembukaan Penawaran</title>
	<link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
	<link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
	<link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
</head>
<body>
<div class="navbar navbar-default navbar-fixed-top" role="navigation" ng-controller="UserCtrl">
	<div class="container-fluid">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>
			<a class="navbar-brand" href="#">APENDO Panitia</a>
		</div>
		<div class="collapse navbar-collapse">
			<ul class="nav navbar-nav navbar-right">
				<li><a id="user" href="#" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom">${namaLpse}</a></li>
				<li><a href="" ng-click="logout()">Logout</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="container-fluid">

	<ul id="tabs" class="nav nav-tabs">
		<li><a href="#adm" data-toggle="tab">Informasi Tender</a></li>
		<li><a href="#pesertaTeknisList" data-toggle="tab">Administrasi dan Teknis</a></li>
		#{if keyHarga}<li><a href="#pesertaHargaList" data-toggle="tab">Harga</a></li>#{/if}
	</ul>

	<div class="tab-content">

		<div class="tab-pane" id="adm" ng-controller="AdmCtrl">
			<br />
			<table class="table table-condensed">
				<thead>
				<th> </th>
				<th>&nbsp;</th>
				</thead>
				<tbody>
				<tr><td width="200"><b>Kode Tender</b></td><td ng-bind="adm.lls_id"></td></tr>
				<tr><td><b>Nama Paket</b></td><td ng-bind="adm.pkt_nama"></td></tr>
				<tr><td><b>K/L/PD</b></td><td ng-bind="adm.instansi"></td></tr>
				<tr><td><b>Nilai HPS</b></td><td ng-bind="adm.hps | currency:'Rp. '"></td></tr>
				<tr><td><b>LPSE</b></td><td ng-bind="adm.lpse"></td></tr>
				</tbody>
			</table>
		</div>

		<div class="tab-pane" id="pesertaTeknisList" ng-controller="PesertaTeknisCtrl">
			<br />
			<table class="table table-condensed">
				<thead>
				<th>#</th>
				<th>Penawaran Peserta</th>
				<th>Teknis</th>
				<th>Masa Berlaku</th>
				</thead>
				<tbody>
				<tr ng-repeat="peserta in pesertaTeknisList">
					<td ng-bind="$index+1"></td>
					<td>
						<b><span ng-bind="peserta.nama"></span></b><br />
						Email: <span ng-bind="peserta.email"></span><br />
						No. Telepon: <span ng-bind="peserta.telpon"></span><br />
					</td>
					<td>
						<button class="btn btn-default" ng-click="getTeknis(peserta,$index)" ng-disabled="peserta.downloading || downloading" >
							<span ng-bind="peserta.downloading ? 'Mengunduh.. ' : (peserta.decrypting ? 'Mendekripsi..' : (peserta.downloaded ? 'Buka' : 'Unduh'))"></span>
							<span ng-bind="peserta.progres | progresFilter" ng-hide="!peserta.downloading"></span>
						</button>
					</td>
					<td><span ng-bind="peserta.berlaku"></span> Hari Kalender</td>
				</tr>
				</tbody>
			</table>
		</div>

		#{if keyHarga}
		<div class="tab-pane" id="pesertaHargaList" ng-controller="PesertaHargaCtrl">
			<br />
			<table class="table table-condensed">
				<thead>
				<th>#</th>
				<th>Penawaran Peserta</th>
				<th>Harga</th>
				<th>Masa Berlaku</th>
				</thead>
				<tbody>
				<tr ng-repeat="peserta in pesertaHargaList">
					<td ng-bind="$index+1"></td>
					<td>
						<b><span ng-bind="peserta.nama"></span></b><br />
						Email: <span ng-bind="peserta.email"></span><br />
						No. Telepon: <span ng-bind="peserta.telpon"></span><br />
					</td>
					<td nowrap="nowrap" ng-bind="peserta.totalHarga | currency:'Rp. '"></td>
					<td><span ng-bind="peserta.berlaku"></span> Hari Kalender</td>
				</tr>
				</tbody>
			</table>
			<button class="btn btn-default" ng-click="getHarga()" ng-disabled="downloading" ng-show="!pesertaHargaList">
				<span ng-show="!downloading">Buka Dokumen Penawaran</span>
				<span ng-show="downloading">Membuka penawaran harga.. <span ng-bind="persenTotal | progresFilter"></span></span>
			</button>
		</div>
		#{/if}
	</div>
</div>

<script type="text/javascript">

    	var user = {
    		peg_id : "${pegawai?.peg_id}",
    		peg_nip : "${pegawai?.peg_nip?.escapeJavaScript().raw()}",
            name : "${pegawai?.peg_nama?.escapeJavaScript().raw()}",
            username : "${pegawai?.peg_namauser?.escapeJavaScript().raw()}",
            email : "${pegawai?.peg_email?.escapeJavaScript().raw()}"
    	}

    	var adm = {
			lls_id : "${lelang?.lls_id}",
			pkt_nama : "${lelang?.paket?.pkt_nama?.escapeJavaScript().raw()}",
			lpse : "${namaLpse?.escapeJavaScript().raw()}",
			instansi : "${lelang?.paket?.satuan_kerja?.instansi?.nama?.escapeJavaScript().raw()}",
			hps : "${lelang?.paket?.pkt_hps}"
    	}

    	var penawaranTeknisList = [
			#{list items:dokTeknisList, as:'item'}
		        {
		        	"nama" : "${item.peserta.rekanan.rkn_nama?.escapeJavaScript().raw()}",
		        	"email" : "${item.peserta.rekanan.rkn_email?.escapeJavaScript().raw()}",
		        	"telpon" : "${item.peserta.rekanan.rkn_telepon?.escapeJavaScript().raw()}",
		        	"id" : "${item.dok_id_attachment}",
		            "psrId" : "${item.peserta.psr_id}",
		            "berlaku" : "${item.dok_waktu}"
				},
	        #{/list}
	    ]

    	var penawaranHargaList = [
   			#{list items:dokHargaList, as:'item'}
   		        {
   		        	"id" : "${item.dok_id_attachment}",
   		            "psrId" : "${item.peserta.psr_id}"
   				},
   	        #{/list}
   	    ]

    	var token = '${access_token}';
    	var downloadUrl = '${downloadUrl}';
    	var sortUrl = '${sortUrl}';
    	var privKey = ['${keyAdmTeknis}', '${keyHarga}'];

    </script>
<!-- deps -->
<script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
<script type="text/javascript" src="#{assets '/lt17/panitiaDuaSampul.js'/}"></script>
</body>
</html>